build:
    nodes:
        analysis:
            environment:
                mysql: false
                postgresql: false
                redis: false
                rabbitmq: false
                mongodb: false
                php:
                    version: 7.4
            cache:
                disabled: false
                directories:
                    - ~/.composer/cache

            project_setup:
                override: true
            tests:
                override:
                    - php-scrutinizer-run
                    - phpcs-run

    dependencies:
        override:
            - composer install --no-interaction --prefer-dist

checks:
    php: true

tools:
    external_code_coverage: true

build_failure_conditions:
    - 'elements.rating(<= C).new.exists'
    - 'issues.severity(>= MAJOR).new.exists'
    - 'project.metric_change("scrutinizer.test_coverage", < -0.01)'
